/*
	Magic number handling.

	This class loads, stores and then searches the magic numbers.
	
	Author: Matthew Allen <fret@memecode.com>
	Date: 5/12/2003
*/

#ifndef _MAGIC_H_
#define _MAGIC_H_

class MagicLut
{
	class MagicLutPrivate *d;

public:
	MagicLut();
	~MagicLut();
	
	bool Load(char *File);
	char *GetType(char *Data, int Len, char *Hint = 0, bool Debug = false);
};

#endif